

<!DOCTYPE html>
<html>
<head>
	<meta charset='utf-8' /> 
	<meta name='description' content='' />
	<meta name='robots' content='noodp, noydir' />
	<meta name='viewport' content='width=device-width, initial-scale=1' />
	<meta id="timeStampFormat" name="timeStampFormat" content='MMM d, yyyy hh:mm:ss a'/>
	
	<link href='https://fonts.googleapis.com/css?family=Source+Sans+Pro:400,600' rel='stylesheet' type='text/css' />
	<link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet" />
	<link href='https://cdn.rawgit.com/extent-framework/extent-github-cdn/b65cd69/v3html/css/extent.css' type='text/css' rel='stylesheet' />
	
	<title>ExtentReports</title>

	<style type='text/css'>
		/* json-tree */
		.jstBracket,.jstComma,.jstValue{white-space:pre-wrap}.jstValue{font-size:10px;font-weight:400;font-family:"Lucida Console",Monaco,monospace}.jstProperty{color:#666;word-wrap:break-word}.jstBool{color:#2525CC}.jstNum{color:#D036D0}.jstNull{color:gray}.jstStr{color:#2DB669}.jstFold:after{content:' -';cursor:pointer}.jstExpand{white-space:normal}.jstExpand:after{content:' +';cursor:pointer}.jstFolded{white-space:normal!important}.jstHiddenBlock{display:none}
	</style>
	
	<script type="text/javascript">
		/*! json-tree - v0.2.2 - 2017-09-25, MIT LICENSE */
		var JSONTree=function(){var n={"&":"&amp;","<":"&lt;",">":"&gt;",'"':"&quot;","'":"&#x27;","/":"&#x2F;"},t=0,r=0;this.create=function(n,t){return r+=1,N(u(n,0,!1),{class:"jstValue"})};var e=function(t){return t.replace(/[&<>'"]/g,function(t){return n[t]})},s=function(){return r+"_"+t++},u=function(n,t,r){if(null===n)return f(r?t:0);switch(typeof n){case"boolean":return l(n,r?t:0);case"number":return i(n,r?t:0);case"string":return o(n,r?t:0);default:return n instanceof Array?a(n,t,r):c(n,t,r)}},c=function(n,t,r){var e=s(),u=Object.keys(n).map(function(r){return j(r,n[r],t+1,!0)}).join(m()),c=[g("{",r?t:0,e),N(u,{id:e}),p("}",t)].join("\n");return N(c,{})},a=function(n,t,r){var e=s(),c=n.map(function(n){return u(n,t+1,!0)}).join(m());return[g("[",r?t:0,e),N(c,{id:e}),p("]",t)].join("\n")},o=function(n,t){var r=e(JSON.stringify(n));return N(v(r,t),{class:"jstStr"})},i=function(n,t){return N(v(n,t),{class:"jstNum"})},l=function(n,t){return N(v(n,t),{class:"jstBool"})},f=function(n){return N(v("null",n),{class:"jstNull"})},j=function(n,t,r){var s=v(e(JSON.stringify(n))+": ",r),c=N(u(t,r,!1),{});return N(s+c,{class:"jstProperty"})},m=function(){return N(",\n",{class:"jstComma"})},N=function(n,t){return d("span",t,n)},d=function(n,t,r){return"<"+n+Object.keys(t).map(function(n){return" "+n+'="'+t[n]+'"'}).join("")+">"+r+"</"+n+">"},g=function(n,t,r){return N(v(n,t),{class:"jstBracket"})+N("",{class:"jstFold",onclick:"JSONTree.toggle('"+r+"')"})};this.toggle=function(n){var t=document.getElementById(n),r=t.parentNode,e=t.previousElementSibling;""===t.className?(t.className="jstHiddenBlock",r.className="jstFolded",e.className="jstExpand"):(t.className="",r.className="",e.className="jstFold")};var p=function(n,t){return N(v(n,t),{})},v=function(n,t){return Array(2*t+1).join(" ")+n};return this}();
	</script>
</head>
	<body class='extent standard default hide-overflow bdd-report'>
		<div id='theme-selector' alt='Click to toggle theme. To enable by default, use theme configuration.' title='Click to toggle theme. To enable by default, use theme configuration.'>
			<span><i class='material-icons'>desktop_windows</i></span>
		</div>
<nav>
	<div class="nav-wrapper">
		<a href="#!" class="brand-logo black"><img src="https://cdn.rawgit.com/extent-framework/extent-github-cdn/d74480e/commons/img/logo.png"></a>
		<!-- slideout menu -->
		<ul id='slide-out' class='side-nav fixed hide-on-med-and-down'>
			<li class='waves-effect active'><a href='#!' view='test-view' onclick="configureView(0);chartsView('test');"><i class='material-icons'>dashboard</i></a></li>
						<li class='waves-effect'><a href='#!' view='category-view' onclick="configureView(1)"><i class='material-icons'>label_outline</i></a></li>
			<li class='waves-effect'><a href='#!' view='exception-view' onclick="configureView(2)"><i class='material-icons'>bug_report</i></a></li>
			<li class='waves-effect'><a href='#!' onclick="configureView(-1);chartsView('dashboard');" view='dashboard-view'><i class='material-icons'>track_changes</i></a></li>
		</ul>
		<!-- report name -->
		<span class='report-name'>ExtentReports</span>
		<!-- report headline -->
		<span class='report-headline'></span>
		<!-- nav-right -->
		<ul id='nav-mobile' class='right hide-on-med-and-down nav-right'>
			<a href='#!'>
			<span class='label blue darken-3 suite-start-time'>Apr 10, 2020 02:21:05 PM</span>
			</a>
		</ul>
	</div>
</nav>		<!-- container -->
		<div class='container'>
<div id='test-view' class='view'>
	<section id='controls'>
		<div class='controls grey lighten-4'>
			<!-- test toggle -->
			<div class='chip transparent'>
				<a class='dropdown-button tests-toggle' data-activates='tests-toggle' data-constrainwidth='true' data-beloworigin='true' data-hover='true' href='#'>
				<i class='material-icons'>warning</i> Status
				</a>
				<ul id='tests-toggle' class='dropdown-content'>
										<li status='pass'><a href='#!'>Pass <i class='material-icons green-text'>check_circle</i></a></li>
					<li status='fail'><a href='#!'>Fail <i class='material-icons red-text'>cancel</i></a></li>
					<li class='divider'></li>
					<li status='clear' clear='true'><a href='#!'>Clear Filters <i class='material-icons'>clear</i></a></li>
				</ul>
			</div>
			<!-- test toggle -->
			<!-- category toggle -->
			<div class='chip transparent'>
				<a class='dropdown-button category-toggle' data-activates='category-toggle' data-constrainwidth='false' data-beloworigin='true' data-hover='true' href='#'>
				<i class='material-icons'>local_offer</i> Category
				</a>
				<ul id='category-toggle' class='dropdown-content'>
					<li><a href='#'>@patient</a></li>
					<li class='divider'></li>
					<li class='clear'><a href='#!' clear='true'>Clear Filters</a></li>
				</ul>
			</div>
			<!-- category toggle -->
			<!-- clear filters -->
			<div class='chip transparent hide'>
				<a class='' id='clear-filters' alt='Clear Filters' title='Clear Filters'>
				<i class='material-icons'>close</i> Clear
				</a>
			</div>
			<!-- clear filters -->
			<!-- enable dashboard -->
			<div id='toggle-test-view-charts' class='chip transparent'>
				<a class='pink-text' id='enable-dashboard' alt='Enable Dashboard' title='Enable Dashboard'>
				<i class='material-icons'>track_changes</i> Dashboard
				</a>
			</div>
			<!-- enable dashboard -->
			<!-- search -->
			<div class='chip transparent' alt='Search Tests' title='Search Tests'>
				<a href="#" class='search-div'>
				<i class='material-icons'>search</i> Search
				</a>
				<div class='input-field left hide'>
					<input id='search-tests' type='text' class='validate browser-default' placeholder='Search Tests...'>
				</div>
			</div>
			<!-- search -->
		</div>
	</section>
<div id='test-view-charts' class='subview-full'>
    <div id='charts-row' class='row nm-v nm-h'>
        <div class='col s12 m4 l4 np-h'>
            <div class='card-panel nm-v'>
                <div class='left panel-name'>Features</div>
                <div class='chart-box' style="max-height:94px;">
                    <canvas id='parent-analysis' width='90' height='70'></canvas>
                </div>
                <div class='block text-small'>
                    <span class='tooltipped' data-position='top' data-tooltip='0%'><span class='strong'>0</span> feature(s) passed</span>
                </div>
                <div class='block text-small'>
                    <span class='strong tooltipped' data-position='top' data-tooltip='100%'>1</span> feature(s) failed, <span class='strong tooltipped' data-position='top' data-tooltip='0%'>0</span> others
                </div>
            </div>
        </div>
        <div class='col s12 m4 l4 np-h'>
            <div class='card-panel nm-v'>
                <div class='left panel-name'>Scenarios</div>
                <div class='chart-box' style="max-height:94px;">
                    <canvas id='child-analysis' width='90' height='70'></canvas>
                </div>
                <div class='block text-small'>
                    <span class='tooltipped' data-position='top' data-tooltip='0%'><span class='strong'>0</span> scenario(s) passed</span>
                </div>
                <div class='block text-small'>
                    <span class='strong tooltipped' data-position='top' data-tooltip='100%'>2</span> scenario(s) failed, <span class='strong tooltipped' data-position='top' data-tooltip='0%'>0</span> others
                </div>
            </div>
        </div>
        <div class='col s12 m4 l4 np-h'>
            <div class='card-panel nm-v'>
                <div class='left panel-name'>Steps</div>
                <div class='chart-box' style="max-height:94px;">
                    <canvas id='grandchild-analysis' width='90' height='70'></canvas>
                </div>
                <div class='block text-small'>
                    <span class='tooltipped' data-position='top' data-tooltip='88.235%'><span class='strong'>30</span> step(s) passed</span>
                </div>
                <div class='block text-small'>
                    <span class='strong tooltipped' data-position='top' data-tooltip='11.765%'>4</span> step(s) failed, <span class='strong tooltipped' data-position='top' data-tooltip='0%'>0</span> others
                </div>
            </div>
        </div>
    </div>
    <div id="timeline-chart" class="row nm-v nm-h">
        <div class="col s12 m12 l12 np-h">
            <div class="card-panel">
                <div class='left panel-name'>Timeline (seconds)</div>
                <div class="chart-box" style="width:98%;max-height:145px;">
                    <canvas id="timeline" height="120"></canvas>
                </div>
            </div>
        </div>
    </div>
</div>	<div class='subview-left left'>
		<div class='view-summary'>
			<ul id='test-collection' class='test-collection'>
				<li class='test displayed active has-leaf fail' status='fail' bdd='true' test-id='1'>
					<div class='test-heading'>
						<span class='test-name'>Patient Summary Details</span>
						<span class='test-time'>Apr 10, 2020 02:21:05 PM</span>
						<span class='test-status right fail'>fail</span>
					</div>
					<div class='test-content hide'>
<div class="sr-filters bdd-filters">
    <a class="btn-floating waves-effect waves-light pass green" title="pass"><i class='material-icons'>check_circle</i></a>
    <a class="btn-floating waves-effect waves-light fail red" title="fail"><i class='material-icons'>cancel</i></a>
    <a class="btn-floating waves-effect waves-light skip blue" title="skip"><i class='material-icons'>redo</i></a>
    <a class="btn-floating waves-effect waves-light clear grey" title="clear"><i class='material-icons'>clear</i></a>
</div>
<div class='scenario node' test-id='2' status='fail'>
    <div class='category-list'>
        <span class='category label'>@patient</span>
    </div>
    <span class='duration right label'>0h 0m 12s+498ms</span>
    <div class="bdd-test">
        <div class="scenario-name"><span class='status fail' title='fail'><i class='material-icons'>cancel</i></span> Scenario: View Patient Blood Pressure Details</div>
    </div>
    <ul class='steps'>
        <li test-id='3' class='node asterisk pass' status='pass'>
            <div class="step-name" title=""><span class='status pass' title='pass'><i class='material-icons'>check_circle</i></span>LambdaGlue.java:52</div>
                <div class="node-step"></div>
        </li>
        <li test-id='4' class='node given pass' status='pass'>
            <div class="step-name" title="CommonSteps.java:19"><span class='status pass' title='pass'><i class='material-icons'>check_circle</i></span>Given the application "PatientSummary"</div>
                <div class="node-step"></div>
        </li>
        <li test-id='5' class='node asterisk pass' status='pass'>
            <div class="step-name" title=""><span class='status pass' title='pass'><i class='material-icons'>check_circle</i></span>Hooks.attachedScreenshot()</div>
                <div class="node-step"></div>
        </li>
        <li test-id='6' class='node and pass' status='pass'>
            <div class="step-name" title="CommonSteps.java:44"><span class='status pass' title='pass'><i class='material-icons'>check_circle</i></span>And the jira is "ICI-969"</div>
                <div class="node-step"></div>
        </li>
        <li test-id='7' class='node asterisk pass' status='pass'>
            <div class="step-name" title=""><span class='status pass' title='pass'><i class='material-icons'>check_circle</i></span>Hooks.attachedScreenshot()</div>
                <div class="node-step"></div>
        </li>
        <li test-id='8' class='node when pass' status='pass'>
            <div class="step-name" title="PatientSummarySteps.EnterCredentials()"><span class='status pass' title='pass'><i class='material-icons'>check_circle</i></span>When credentials are entered</div>
                <div class="node-step"></div>
        </li>
        <li test-id='9' class='node asterisk pass' status='pass'>
            <div class="step-name" title=""><span class='status pass' title='pass'><i class='material-icons'>check_circle</i></span>Hooks.attachedScreenshot()</div>
                <div class="node-step"></div>
        </li>
        <li test-id='10' class='node and pass' status='pass'>
            <div class="step-name" title="PatientSummarySteps.SelectPatient()"><span class='status pass' title='pass'><i class='material-icons'>check_circle</i></span>And select patient</div>
                <div class="node-step"></div>
        </li>
        <li test-id='11' class='node asterisk pass' status='pass'>
            <div class="step-name" title=""><span class='status pass' title='pass'><i class='material-icons'>check_circle</i></span>Hooks.attachedScreenshot()</div>
                <div class="node-step"></div>
        </li>
        <li test-id='12' class='node and pass' status='pass'>
            <div class="step-name" title="PatientSummarySteps.ViewBloodPressure()"><span class='status pass' title='pass'><i class='material-icons'>check_circle</i></span>And view the blood pressure readings</div>
                <div class="node-step"></div>
        </li>
        <li test-id='13' class='node asterisk pass' status='pass'>
            <div class="step-name" title=""><span class='status pass' title='pass'><i class='material-icons'>check_circle</i></span>Hooks.attachedScreenshot()</div>
                <div class="node-step"></div>
        </li>
        <li test-id='14' class='node then pass' status='pass'>
            <div class="step-name" title="PatientSummarySteps.VerifyBloodPressure(String)"><span class='status pass' title='pass'><i class='material-icons'>check_circle</i></span>Then the "Blood Pressure" readings are shown</div>
                <div class="node-step"></div>
        </li>
        <li test-id='15' class='node asterisk pass' status='pass'>
            <div class="step-name" title=""><span class='status pass' title='pass'><i class='material-icons'>check_circle</i></span>Hooks.attachedScreenshot()</div>
                <div class="node-step"></div>
        </li>
        <li test-id='16' class='node asterisk fail' status='fail'>
            <div class="step-name" title=""><span class='status fail' title='fail'><i class='material-icons'>cancel</i></span>Hooks.addJiraReport()</div>
                <textarea disabled class="code-block">java.lang.NullPointerException
	at com.thed.zephyr.cloud.rest.client.impl.JwtGeneratorImpl.generateJWT(JwtGeneratorImpl.java:157)
	at automation.library.jira.core.Generator.test(Generator.java:32)
	at automation.library.jira.core.JiraExecution.postRequest(JiraExecution.java:50)
	at hooks.Hooks.addJiraReport(Hooks.java:33)
	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.base/java.lang.reflect.Method.invoke(Method.java:566)
	at cucumber.runtime.Utils$1.call(Utils.java:26)
	at cucumber.runtime.Timeout.timeout(Timeout.java:16)
	at cucumber.runtime.Utils.invoke(Utils.java:20)
	at cucumber.runtime.java.JavaHookDefinition.execute(JavaHookDefinition.java:65)
	at cucumber.runner.HookDefinitionMatch.runStep(HookDefinitionMatch.java:16)
	at cucumber.runner.TestStep.executeStep(TestStep.java:65)
	at cucumber.runner.TestStep.run(TestStep.java:50)
	at cucumber.runner.TestCase.run(TestCase.java:50)
	at cucumber.runner.Runner.runPickle(Runner.java:50)
	at io.cucumber.testng.TestNGCucumberRunner.runScenario(TestNGCucumberRunner.java:79)
	at automation.library.cucumber.selenium.RunnerClassSequential.runScenario(RunnerClassSequential.java:48)
	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.base/java.lang.reflect.Method.invoke(Method.java:566)
	at org.testng.internal.MethodInvocationHelper.invokeMethod(MethodInvocationHelper.java:124)
	at org.testng.internal.Invoker.invokeMethod(Invoker.java:583)
	at org.testng.internal.Invoker.invokeTestMethod(Invoker.java:719)
	at org.testng.internal.Invoker.invokeTestMethods(Invoker.java:989)
	at org.testng.internal.TestMethodWorker.invokeTestMethods(TestMethodWorker.java:125)
	at org.testng.internal.TestMethodWorker.run(TestMethodWorker.java:109)
	at org.testng.TestRunner.privateRun(TestRunner.java:648)
	at org.testng.TestRunner.run(TestRunner.java:505)
	at org.testng.SuiteRunner.runTest(SuiteRunner.java:455)
	at org.testng.SuiteRunner.runSequentially(SuiteRunner.java:450)
	at org.testng.SuiteRunner.privateRun(SuiteRunner.java:415)
	at org.testng.SuiteRunner.run(SuiteRunner.java:364)
	at org.testng.SuiteRunnerWorker.runSuite(SuiteRunnerWorker.java:52)
	at org.testng.SuiteRunnerWorker.run(SuiteRunnerWorker.java:84)
	at org.testng.TestNG.runSuitesSequentially(TestNG.java:1208)
	at org.testng.TestNG.runSuitesLocally(TestNG.java:1137)
	at org.testng.TestNG.runSuites(TestNG.java:1049)
	at org.testng.TestNG.run(TestNG.java:1017)
	at com.intellij.rt.testng.IDEARemoteTestNG.run(IDEARemoteTestNG.java:66)
	at com.intellij.rt.testng.RemoteTestNGStarter.main(RemoteTestNGStarter.java:110)
</textarea>
        </li>
        <li test-id='17' class='node asterisk pass' status='pass'>
            <div class="step-name" title=""><span class='status pass' title='pass'><i class='material-icons'>check_circle</i></span>LambdaGlue.java:258</div>
                <div class="node-step"></div>
        </li>
        <li test-id='18' class='node asterisk pass' status='pass'>
            <div class="step-name" title=""><span class='status pass' title='pass'><i class='material-icons'>check_circle</i></span>LambdaGlue.java:258</div>
                <div class="node-step"></div>
        </li>
        <li test-id='19' class='node asterisk fail' status='fail'>
            <div class="step-name" title=""><span class='status fail' title='fail'><i class='material-icons'>cancel</i></span>LambdaGlue.java:258</div>
            <ul class='screenshots right'>
                <li><a data-featherlight="image" href="./Screenshots/63f5019f-339e-4e8b-b008-811085fd3cc9.png"><i class='material-icons'>panorama</i></a></li>
            </ul>
                <div class="node-step">Scenario Failed</div>
        </li>
    </ul>
</div>
<div class='scenario node' test-id='20' status='fail'>
    <div class='category-list'>
        <span class='category label'>@patient</span>
    </div>
    <span class='duration right label'>0h 0m 10s+127ms</span>
    <div class="bdd-test">
        <div class="scenario-name"><span class='status fail' title='fail'><i class='material-icons'>cancel</i></span> Scenario: View Patient Medical Summary Details</div>
    </div>
    <ul class='steps'>
        <li test-id='21' class='node asterisk pass' status='pass'>
            <div class="step-name" title=""><span class='status pass' title='pass'><i class='material-icons'>check_circle</i></span>LambdaGlue.java:52</div>
                <div class="node-step"></div>
        </li>
        <li test-id='22' class='node given pass' status='pass'>
            <div class="step-name" title="CommonSteps.java:19"><span class='status pass' title='pass'><i class='material-icons'>check_circle</i></span>Given the application "PatientSummary"</div>
                <div class="node-step"></div>
        </li>
        <li test-id='23' class='node asterisk pass' status='pass'>
            <div class="step-name" title=""><span class='status pass' title='pass'><i class='material-icons'>check_circle</i></span>Hooks.attachedScreenshot()</div>
                <div class="node-step"></div>
        </li>
        <li test-id='24' class='node and pass' status='pass'>
            <div class="step-name" title="CommonSteps.java:44"><span class='status pass' title='pass'><i class='material-icons'>check_circle</i></span>And the jira is "ICI-1052"</div>
                <div class="node-step"></div>
        </li>
        <li test-id='25' class='node asterisk pass' status='pass'>
            <div class="step-name" title=""><span class='status pass' title='pass'><i class='material-icons'>check_circle</i></span>Hooks.attachedScreenshot()</div>
                <div class="node-step"></div>
        </li>
        <li test-id='26' class='node when pass' status='pass'>
            <div class="step-name" title="PatientSummarySteps.EnterCredentials()"><span class='status pass' title='pass'><i class='material-icons'>check_circle</i></span>When credentials are entered</div>
                <div class="node-step"></div>
        </li>
        <li test-id='27' class='node asterisk pass' status='pass'>
            <div class="step-name" title=""><span class='status pass' title='pass'><i class='material-icons'>check_circle</i></span>Hooks.attachedScreenshot()</div>
                <div class="node-step"></div>
        </li>
        <li test-id='28' class='node and pass' status='pass'>
            <div class="step-name" title="PatientSummarySteps.SelectPatient()"><span class='status pass' title='pass'><i class='material-icons'>check_circle</i></span>And select patient</div>
                <div class="node-step"></div>
        </li>
        <li test-id='29' class='node asterisk pass' status='pass'>
            <div class="step-name" title=""><span class='status pass' title='pass'><i class='material-icons'>check_circle</i></span>Hooks.attachedScreenshot()</div>
                <div class="node-step"></div>
        </li>
        <li test-id='30' class='node and pass' status='pass'>
            <div class="step-name" title="PatientSummarySteps.ViewVitals()"><span class='status pass' title='pass'><i class='material-icons'>check_circle</i></span>And view the vital readings</div>
                <div class="node-step"></div>
        </li>
        <li test-id='31' class='node asterisk pass' status='pass'>
            <div class="step-name" title=""><span class='status pass' title='pass'><i class='material-icons'>check_circle</i></span>Hooks.attachedScreenshot()</div>
                <div class="node-step"></div>
        </li>
        <li test-id='32' class='node then pass' status='pass'>
            <div class="step-name" title="PatientSummarySteps.VerifyBloodPressure(String)"><span class='status pass' title='pass'><i class='material-icons'>check_circle</i></span>Then the "VITAL" readings are shown</div>
                <div class="node-step"></div>
        </li>
        <li test-id='33' class='node asterisk pass' status='pass'>
            <div class="step-name" title=""><span class='status pass' title='pass'><i class='material-icons'>check_circle</i></span>Hooks.attachedScreenshot()</div>
                <div class="node-step"></div>
        </li>
        <li test-id='34' class='node asterisk fail' status='fail'>
            <div class="step-name" title=""><span class='status fail' title='fail'><i class='material-icons'>cancel</i></span>Hooks.addJiraReport()</div>
                <textarea disabled class="code-block">java.lang.NullPointerException
	at com.thed.zephyr.cloud.rest.client.impl.JwtGeneratorImpl.generateJWT(JwtGeneratorImpl.java:157)
	at automation.library.jira.core.Generator.test(Generator.java:32)
	at automation.library.jira.core.JiraExecution.postRequest(JiraExecution.java:50)
	at hooks.Hooks.addJiraReport(Hooks.java:33)
	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.base/java.lang.reflect.Method.invoke(Method.java:566)
	at cucumber.runtime.Utils$1.call(Utils.java:26)
	at cucumber.runtime.Timeout.timeout(Timeout.java:16)
	at cucumber.runtime.Utils.invoke(Utils.java:20)
	at cucumber.runtime.java.JavaHookDefinition.execute(JavaHookDefinition.java:65)
	at cucumber.runner.HookDefinitionMatch.runStep(HookDefinitionMatch.java:16)
	at cucumber.runner.TestStep.executeStep(TestStep.java:65)
	at cucumber.runner.TestStep.run(TestStep.java:50)
	at cucumber.runner.TestCase.run(TestCase.java:50)
	at cucumber.runner.Runner.runPickle(Runner.java:50)
	at io.cucumber.testng.TestNGCucumberRunner.runScenario(TestNGCucumberRunner.java:79)
	at automation.library.cucumber.selenium.RunnerClassSequential.runScenario(RunnerClassSequential.java:48)
	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.base/java.lang.reflect.Method.invoke(Method.java:566)
	at org.testng.internal.MethodInvocationHelper.invokeMethod(MethodInvocationHelper.java:124)
	at org.testng.internal.Invoker.invokeMethod(Invoker.java:583)
	at org.testng.internal.Invoker.invokeTestMethod(Invoker.java:719)
	at org.testng.internal.Invoker.invokeTestMethods(Invoker.java:989)
	at org.testng.internal.TestMethodWorker.invokeTestMethods(TestMethodWorker.java:125)
	at org.testng.internal.TestMethodWorker.run(TestMethodWorker.java:109)
	at org.testng.TestRunner.privateRun(TestRunner.java:648)
	at org.testng.TestRunner.run(TestRunner.java:505)
	at org.testng.SuiteRunner.runTest(SuiteRunner.java:455)
	at org.testng.SuiteRunner.runSequentially(SuiteRunner.java:450)
	at org.testng.SuiteRunner.privateRun(SuiteRunner.java:415)
	at org.testng.SuiteRunner.run(SuiteRunner.java:364)
	at org.testng.SuiteRunnerWorker.runSuite(SuiteRunnerWorker.java:52)
	at org.testng.SuiteRunnerWorker.run(SuiteRunnerWorker.java:84)
	at org.testng.TestNG.runSuitesSequentially(TestNG.java:1208)
	at org.testng.TestNG.runSuitesLocally(TestNG.java:1137)
	at org.testng.TestNG.runSuites(TestNG.java:1049)
	at org.testng.TestNG.run(TestNG.java:1017)
	at com.intellij.rt.testng.IDEARemoteTestNG.run(IDEARemoteTestNG.java:66)
	at com.intellij.rt.testng.RemoteTestNGStarter.main(RemoteTestNGStarter.java:110)
</textarea>
        </li>
        <li test-id='35' class='node asterisk pass' status='pass'>
            <div class="step-name" title=""><span class='status pass' title='pass'><i class='material-icons'>check_circle</i></span>LambdaGlue.java:258</div>
                <div class="node-step"></div>
        </li>
        <li test-id='36' class='node asterisk pass' status='pass'>
            <div class="step-name" title=""><span class='status pass' title='pass'><i class='material-icons'>check_circle</i></span>LambdaGlue.java:258</div>
                <div class="node-step"></div>
        </li>
        <li test-id='37' class='node asterisk fail' status='fail'>
            <div class="step-name" title=""><span class='status fail' title='fail'><i class='material-icons'>cancel</i></span>LambdaGlue.java:258</div>
            <ul class='screenshots right'>
                <li><a data-featherlight="image" href="./Screenshots/5255631f-842f-4076-a648-32891984eb4d.png"><i class='material-icons'>panorama</i></a></li>
            </ul>
                <div class="node-step">Scenario Failed</div>
        </li>
    </ul>
</div>
					</div>
				</li>
			</ul>
		</div>
	</div>
	<!-- subview left -->
	<div class='subview-right left'>
		<div class='view-summary'>
			<div id='step-filters' class="right sr-filters">
				<a class="btn-floating waves-effect waves-light green" status="pass" alt="pass" title="pass"><i class="material-icons">check_circle</i></a>
				<a class="btn-floating waves-effect waves-light red" status="fail" alt="fail" title="fail"><i class="material-icons">cancel</i></a>
				<a class="btn-floating waves-effect waves-light red darken-4" status="fatal" alt="fatal" title="fatal"><i class="material-icons">cancel</i></a>
				<a class="btn-floating waves-effect waves-light pink text-lighten-1" status="error" alt="error" title="error"><i class="material-icons">error</i></a>
				<a class="btn-floating waves-effect waves-light orange" alt="warning" status="warning" title="warning"><i class="material-icons">warning</i></a>
				<a class="btn-floating waves-effect waves-light teal" status="skip" alt="skip" title="skip"><i class="material-icons">redo</i></a>
				<a class="btn-floating waves-effect waves-light grey" status="clear" alt="Clear filters" title="Clear filters"><i class="material-icons">clear</i></a>
			</div>
			<h5 class='test-name'></h5>
		</div>
	</div>
	<!-- subview right -->
</div>
<!-- test view --><div id='category-view' class='view hide'>
	<section id='controls'>
		<div class='controls grey lighten-4'>
			<!-- search -->
			<div class='chip transparent' alt='Search Tests' title='Search Tests'>
				<a href="#" class='search-div'>
				<i class='material-icons'>search</i> Search
				</a>
				<div class='input-field left hide'>
					<input id='search-tests' type='text' class='validate browser-default' placeholder='Search Tests...'>
				</div>
			</div>
			<!-- search -->
		</div>
	</section>
	<div class='subview-left left'>
		<div class='view-summary'>
			<ul id='category-collection' class='category-collection'>
				<li class='category displayed active'>
					<div class='category-heading'>
						<span class='category-name'>@patient</span>
						<span class='category-status right'>
						<span class='label fail'>2</span>
						</span>
					</div>
					<div class='category-content hide'>
						<div class='category-status-counts'>
							
							<span status="fail" class='label red lighten-1 white-text'>Failed: 2</span>
							
						</div>
						<div class='category-tests'>
							<table class='bordered table-results'>
								<thead>
									<tr>
										<th>Timestamp</th>
										<th>TestName</th>
										<th>Status</th>
									</tr>
								</thead>
								<tbody>
									<tr>
										<td>Apr 10, 2020 02:21:05 PM</td>
										<td class='linked' test-id='2'>Patient Summary Details.View Patient Blood Pressure Details</td>
										<td><span class='test-status fail'>fail</span></td>
									</tr>
									<tr>
										<td>Apr 10, 2020 02:21:19 PM</td>
										<td class='linked' test-id='20'>Patient Summary Details.View Patient Medical Summary Details</td>
										<td><span class='test-status fail'>fail</span></td>
									</tr>
								</tbody>
							</table>
						</div>
					</div>
				</li>
			</ul>
		</div>
	</div>
	<div class='subview-right left'>
		<div class='view-summary'>
			<h5 class='category-name'></h5>
		</div>
	</div>
</div>
<!-- category view --><div id='exception-view' class='view hide'>
	<section id='controls'>
		<div class='controls grey lighten-4'>
			<!-- search -->
			<div class='chip transparent' alt='Search Tests' title='Search Tests'>
				<a href="#" class='search-div'>
				<i class='material-icons'>search</i> Search
				</a>
				<div class='input-field left hide'>
					<input id='search-tests' type='text' class='validate browser-default' placeholder='Search Tests...'>
				</div>
			</div>
			<!-- search -->
		</div>
	</section>
	<div class='subview-left left'>
		<div class='view-summary'>
			<ul id='exception-collection' class='exception-collection'>
				<li class='exception displayed active'>
					<div class='exception-heading'>
						<span class='exception-name'>java.lang.NullPointerException</span>
						<span class='exception-count right'><span class='label red lighten-1 white-text'>2</span></span>
					</div>
					<div class='exception-content hide'>
						<div class='exception-tests'>
							<table class='bordered table-results'>
								<thead>
									<tr>
										<th>Timestamp</th>
										<th>TestName</th>
										<th>Status</th>
									</tr>
								</thead>
								<tbody>
									<tr>
										<td>Apr 10, 2020 02:21:15 PM</td>
										<td class='linked' test-id='16'>Patient Summary Details.View Patient Blood Pressure Details.Hooks.addJiraReport()</td>
										<td>
											<textarea disabled class="code-block">java.lang.NullPointerException
	at com.thed.zephyr.cloud.rest.client.impl.JwtGeneratorImpl.generateJWT(JwtGeneratorImpl.java:157)
	at automation.library.jira.core.Generator.test(Generator.java:32)
	at automation.library.jira.core.JiraExecution.postRequest(JiraExecution.java:50)
	at hooks.Hooks.addJiraReport(Hooks.java:33)
	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.base/java.lang.reflect.Method.invoke(Method.java:566)
	at cucumber.runtime.Utils$1.call(Utils.java:26)
	at cucumber.runtime.Timeout.timeout(Timeout.java:16)
	at cucumber.runtime.Utils.invoke(Utils.java:20)
	at cucumber.runtime.java.JavaHookDefinition.execute(JavaHookDefinition.java:65)
	at cucumber.runner.HookDefinitionMatch.runStep(HookDefinitionMatch.java:16)
	at cucumber.runner.TestStep.executeStep(TestStep.java:65)
	at cucumber.runner.TestStep.run(TestStep.java:50)
	at cucumber.runner.TestCase.run(TestCase.java:50)
	at cucumber.runner.Runner.runPickle(Runner.java:50)
	at io.cucumber.testng.TestNGCucumberRunner.runScenario(TestNGCucumberRunner.java:79)
	at automation.library.cucumber.selenium.RunnerClassSequential.runScenario(RunnerClassSequential.java:48)
	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.base/java.lang.reflect.Method.invoke(Method.java:566)
	at org.testng.internal.MethodInvocationHelper.invokeMethod(MethodInvocationHelper.java:124)
	at org.testng.internal.Invoker.invokeMethod(Invoker.java:583)
	at org.testng.internal.Invoker.invokeTestMethod(Invoker.java:719)
	at org.testng.internal.Invoker.invokeTestMethods(Invoker.java:989)
	at org.testng.internal.TestMethodWorker.invokeTestMethods(TestMethodWorker.java:125)
	at org.testng.internal.TestMethodWorker.run(TestMethodWorker.java:109)
	at org.testng.TestRunner.privateRun(TestRunner.java:648)
	at org.testng.TestRunner.run(TestRunner.java:505)
	at org.testng.SuiteRunner.runTest(SuiteRunner.java:455)
	at org.testng.SuiteRunner.runSequentially(SuiteRunner.java:450)
	at org.testng.SuiteRunner.privateRun(SuiteRunner.java:415)
	at org.testng.SuiteRunner.run(SuiteRunner.java:364)
	at org.testng.SuiteRunnerWorker.runSuite(SuiteRunnerWorker.java:52)
	at org.testng.SuiteRunnerWorker.run(SuiteRunnerWorker.java:84)
	at org.testng.TestNG.runSuitesSequentially(TestNG.java:1208)
	at org.testng.TestNG.runSuitesLocally(TestNG.java:1137)
	at org.testng.TestNG.runSuites(TestNG.java:1049)
	at org.testng.TestNG.run(TestNG.java:1017)
	at com.intellij.rt.testng.IDEARemoteTestNG.run(IDEARemoteTestNG.java:66)
	at com.intellij.rt.testng.RemoteTestNGStarter.main(RemoteTestNGStarter.java:110)
</textarea>
										</td>
									</tr>
									<tr>
										<td>Apr 10, 2020 02:21:27 PM</td>
										<td class='linked' test-id='34'>Patient Summary Details.View Patient Medical Summary Details.Hooks.addJiraReport()</td>
										<td>
											<textarea disabled class="code-block">java.lang.NullPointerException
	at com.thed.zephyr.cloud.rest.client.impl.JwtGeneratorImpl.generateJWT(JwtGeneratorImpl.java:157)
	at automation.library.jira.core.Generator.test(Generator.java:32)
	at automation.library.jira.core.JiraExecution.postRequest(JiraExecution.java:50)
	at hooks.Hooks.addJiraReport(Hooks.java:33)
	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.base/java.lang.reflect.Method.invoke(Method.java:566)
	at cucumber.runtime.Utils$1.call(Utils.java:26)
	at cucumber.runtime.Timeout.timeout(Timeout.java:16)
	at cucumber.runtime.Utils.invoke(Utils.java:20)
	at cucumber.runtime.java.JavaHookDefinition.execute(JavaHookDefinition.java:65)
	at cucumber.runner.HookDefinitionMatch.runStep(HookDefinitionMatch.java:16)
	at cucumber.runner.TestStep.executeStep(TestStep.java:65)
	at cucumber.runner.TestStep.run(TestStep.java:50)
	at cucumber.runner.TestCase.run(TestCase.java:50)
	at cucumber.runner.Runner.runPickle(Runner.java:50)
	at io.cucumber.testng.TestNGCucumberRunner.runScenario(TestNGCucumberRunner.java:79)
	at automation.library.cucumber.selenium.RunnerClassSequential.runScenario(RunnerClassSequential.java:48)
	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.base/java.lang.reflect.Method.invoke(Method.java:566)
	at org.testng.internal.MethodInvocationHelper.invokeMethod(MethodInvocationHelper.java:124)
	at org.testng.internal.Invoker.invokeMethod(Invoker.java:583)
	at org.testng.internal.Invoker.invokeTestMethod(Invoker.java:719)
	at org.testng.internal.Invoker.invokeTestMethods(Invoker.java:989)
	at org.testng.internal.TestMethodWorker.invokeTestMethods(TestMethodWorker.java:125)
	at org.testng.internal.TestMethodWorker.run(TestMethodWorker.java:109)
	at org.testng.TestRunner.privateRun(TestRunner.java:648)
	at org.testng.TestRunner.run(TestRunner.java:505)
	at org.testng.SuiteRunner.runTest(SuiteRunner.java:455)
	at org.testng.SuiteRunner.runSequentially(SuiteRunner.java:450)
	at org.testng.SuiteRunner.privateRun(SuiteRunner.java:415)
	at org.testng.SuiteRunner.run(SuiteRunner.java:364)
	at org.testng.SuiteRunnerWorker.runSuite(SuiteRunnerWorker.java:52)
	at org.testng.SuiteRunnerWorker.run(SuiteRunnerWorker.java:84)
	at org.testng.TestNG.runSuitesSequentially(TestNG.java:1208)
	at org.testng.TestNG.runSuitesLocally(TestNG.java:1137)
	at org.testng.TestNG.runSuites(TestNG.java:1049)
	at org.testng.TestNG.run(TestNG.java:1017)
	at com.intellij.rt.testng.IDEARemoteTestNG.run(IDEARemoteTestNG.java:66)
	at com.intellij.rt.testng.RemoteTestNGStarter.main(RemoteTestNGStarter.java:110)
</textarea>
										</td>
									</tr>
								</tbody>
							</table>
						</div>
					</div>
				</li>
			</ul>
		</div>
	</div>
	<div class='subview-right left'>
		<div class='view-summary'>
			<h5 class='exception-name'></h5>
		</div>
	</div>
</div>
<!-- exception view --><div id='dashboard-view' class='view hide'>
	<div class='card-panel transparent np-v'>
		<h5>Dashboard</h5>

		<div class='row'>
			<div class='col s2'>
				<div class='card-panel r'>
					Features
					<div class='panel-lead'>1</div>
				</div>
			</div>
			<div class='col s2'>
				<div class='card-panel r'>
					Scenarios
					<div class='panel-lead'>2</div>
				</div>
			</div>
			<div class='col s2'>
				<div class='card-panel r'>
					Steps
					<div class='panel-lead'>34</div>
				</div>
			</div>
			<div class='col s2'>
				<div class='card-panel r'>
					Start
					<div class='panel-lead'>Apr 10, 2020 02:21:05 PM</div>
				</div>
			</div>
			<div class='col s2'>
				<div class='card-panel r'>
			 		End
			 		<div class='panel-lead'>Apr 10, 2020 02:21:29 PM</div>
				</div>
			</div>
			<div class='col s2'>
				<div class='card-panel r'>
					Time Taken
					<div class='panel-lead'>0h 0m 23s+798ms</div>
				</div>
			</div>
			<div class='col s6'>
				<div class='card-panel dashboard-categories'>
					<span class='right label cyan white-text'>Categories</span><p>&nbsp;</p>
					
					<table>
						<tr>
							<th>Name</th>
							<th>Passed</th>
							<th>Failed</th>
							<th>Others</th>
							<th>Passed %</th>
						</tr>
						<tr>
							<td>@patient</td>
							<td>0</td>
							<td>2</td>
							<td>0</td>
							<td>
									0%
							</td>
						</tr>
					</table>
				</div>
			</div>
		</div>
	</div>
</div>
<!-- dashboard view -->
<!-- testrunner-logs view -->		</div>
		<!-- container -->
		<script>
			var statusGroup = {
                parentCount: 1,
				passParent: 0,
				failParent: 1,
				fatalParent: 0,
				errorParent: 0,
				warningParent: 0,
				skipParent: 0,
				exceptionsParent: 1,
				childCount: 2,
				passChild: 0,
				failChild: 2,
				fatalChild: 0,
				errorChild: 0,
				warningChild: 0,
				skipChild: 0,
				infoChild: 0,
				debugChild: 0,
				exceptionsChild: 2,
				grandChildCount: 34,
				passGrandChild: 30,
				failGrandChild: 4,
				fatalGrandChild: 0,
				errorGrandChild: 0,
				warningGrandChild: 0,
				skipGrandChild: 0,
				infoGrandChild: 0,
				debugGrandChild: 0,
				exceptionsGrandChild: 4,
			};
		</script>
		<script>
			var timeline = {
			        "Patient Summary Details":23.702
			};
		</script>
		<script src='https://cdn.rawgit.com/extent-framework/extent-github-cdn/b65cd69/v3html/js/extent.js' type='text/javascript'></script>
		<script type='text/javascript'>
		</script>
	</body>
</html>